Browse Source

adding support for 3.10, dropping support for 3.7

speculative-style-simplification
Brian S. Stephan 7 months ago
parent
commit
d623c9c93d
Signed by: bss
GPG Key ID: 3DE06D3180895FCB
  1. 88
      requirements/requirements-dev.txt
  2. 20
      requirements/requirements.txt
  3. 8
      tox.ini

88
requirements/requirements-dev.txt

@ -1,41 +1,37 @@
#
# This file is autogenerated by pip-compile with python 3.8
# This file is autogenerated by pip-compile with python 3.10
# To update, run:
#
# pip-compile --output-file=requirements/requirements-dev.txt requirements/requirements-dev.in
#
attrs==21.2.0
attrs==21.4.0
# via pytest
backports.entry-points-selectable==1.1.0
# via virtualenv
backports.zoneinfo==0.2.1
# via tzlocal
bandit==1.6.2
# via -r requirements/requirements-dev.in
bleach==4.1.0
# via mdx-linkify
certifi==2021.5.30
certifi==2021.10.8
# via requests
charset-normalizer==2.0.6
charset-normalizer==2.0.10
# via requests
click==8.0.1
click==8.0.3
# via
# flask
# pip-tools
# safety
coverage[toml]==6.0.1
coverage[toml]==6.2
# via pytest-cov
distlib==0.3.3
distlib==0.3.4
# via virtualenv
dlint==0.11.0
dlint==0.12.0
# via -r requirements/requirements-dev.in
dparse==0.5.1
# via safety
filelock==3.3.0
filelock==3.4.2
# via
# tox
# virtualenv
flake8==3.9.2
flake8==4.0.1
# via
# -r requirements/requirements-dev.in
# dlint
@ -54,7 +50,7 @@ flake8-executable==2.1.1
# via -r requirements/requirements-dev.in
flake8-fixme==1.1.1
# via -r requirements/requirements-dev.in
flake8-isort==4.0.0
flake8-isort==4.1.1
# via -r requirements/requirements-dev.in
flake8-logging-format==0.6.0
# via -r requirements/requirements-dev.in
@ -62,21 +58,21 @@ flake8-mutable==1.2.0
# via -r requirements/requirements-dev.in
flask==2.0.2
# via -r requirements/requirements.in
gitdb==4.0.7
gitdb==4.0.9
# via gitpython
gitpython==3.1.24
gitpython==3.1.26
# via bandit
idna==3.2
idna==3.3
# via requests
iniconfig==1.1.1
# via pytest
isort==5.9.3
isort==5.10.1
# via flake8-isort
itsdangerous==2.0.1
# via flask
jinja2==3.0.2
jinja2==3.0.3
# via flask
markdown==3.3.4
markdown==3.3.6
# via
# -r requirements/requirements.in
# mdx-linkify
@ -86,38 +82,38 @@ mccabe==0.6.1
# via flake8
mdx-linkify==2.1
# via -r requirements/requirements.in
packaging==21.0
packaging==21.3
# via
# bleach
# dparse
# pytest
# safety
# tox
pbr==5.6.0
pbr==5.8.0
# via stevedore
pep517==0.11.0
pep517==0.12.0
# via pip-tools
pip-tools==6.3.0
pip-tools==6.4.0
# via -r requirements/requirements-dev.in
platformdirs==2.4.0
platformdirs==2.4.1
# via virtualenv
pluggy==1.0.0
# via
# pytest
# tox
py==1.10.0
py==1.11.0
# via
# pytest
# tox
pycodestyle==2.7.0
pycodestyle==2.8.0
# via flake8
pydocstyle==6.1.1
# via flake8-docstrings
pydot==1.4.2
# via -r requirements/requirements-dev.in
pyflakes==2.3.1
pyflakes==2.4.0
# via flake8
pyparsing==2.4.7
pyparsing==3.0.6
# via
# packaging
# pydot
@ -127,11 +123,13 @@ pytest==6.2.5
# pytest-cov
pytest-cov==3.0.0
# via -r requirements/requirements-dev.in
pyyaml==5.4.1
pytz-deprecation-shim==0.1.0.post0
# via tzlocal
pyyaml==6.0
# via
# bandit
# dparse
requests==2.26.0
requests==2.27.1
# via safety
safety==1.10.3
# via -r requirements/requirements-dev.in
@ -141,11 +139,11 @@ six==1.16.0
# bleach
# tox
# virtualenv
smmap==4.0.0
smmap==5.0.0
# via gitdb
snowballstemmer==2.1.0
snowballstemmer==2.2.0
# via pydocstyle
stevedore==3.4.0
stevedore==3.5.0
# via bandit
testfixtures==6.18.3
# via flake8-isort
@ -154,31 +152,31 @@ toml==0.10.2
# dparse
# pytest
# tox
tomli==1.2.1
tomli==2.0.0
# via
# coverage
# pep517
tox==3.24.4
tox==3.24.5
# via
# -r requirements/requirements-dev.in
# tox-wheel
tox-wheel==0.6.0
tox-wheel==0.7.0
# via -r requirements/requirements-dev.in
typing-extensions==3.10.0.2
# via gitpython
tzlocal==3.0
tzdata==2021.5
# via pytz-deprecation-shim
tzlocal==4.1
# via -r requirements/requirements.in
urllib3==1.26.7
urllib3==1.26.8
# via requests
versioneer==0.20
versioneer==0.21
# via -r requirements/requirements-dev.in
virtualenv==20.8.1
virtualenv==20.13.0
# via tox
webencodings==0.5.1
# via bleach
werkzeug==2.0.2
# via flask
wheel==0.37.0
wheel==0.37.1
# via
# pip-tools
# tox-wheel

20
requirements/requirements.txt

@ -1,22 +1,20 @@
#
# This file is autogenerated by pip-compile with python 3.8
# This file is autogenerated by pip-compile with python 3.10
# To update, run:
#
# pip-compile --output-file=requirements/requirements.txt requirements/requirements.in
#
backports.zoneinfo==0.2.1
# via tzlocal
bleach==4.1.0
# via mdx-linkify
click==8.0.1
click==8.0.3
# via flask
flask==2.0.2
# via -r requirements/requirements.in
itsdangerous==2.0.1
# via flask
jinja2==3.0.2
jinja2==3.0.3
# via flask
markdown==3.3.4
markdown==3.3.6
# via
# -r requirements/requirements.in
# mdx-linkify
@ -24,13 +22,17 @@ markupsafe==2.0.1
# via jinja2
mdx-linkify==2.1
# via -r requirements/requirements.in
packaging==21.0
packaging==21.3
# via bleach
pyparsing==2.4.7
pyparsing==3.0.6
# via packaging
pytz-deprecation-shim==0.1.0.post0
# via tzlocal
six==1.16.0
# via bleach
tzlocal==3.0
tzdata==2021.5
# via pytz-deprecation-shim
tzlocal==4.1
# via -r requirements/requirements.in
webencodings==0.5.1
# via bleach

8
tox.ini

@ -4,7 +4,7 @@
# and then run "tox" from this directory.
[tox]
envlist = begin,py37,py38,py39,coverage,security,lint,bundle
envlist = begin,py38,py39,py310,coverage,security,lint,bundle
[testenv]
# build a wheel and test it
@ -31,17 +31,17 @@ deps = setuptools
skip_install = true
commands = coverage erase
[testenv:py37]
[testenv:py38]
# run pytest with coverage
commands =
pytest --cov-append --cov={envsitepackagesdir}/incorporealcms/ --cov-branch
[testenv:py38]
[testenv:py39]
# run pytest with coverage
commands =
pytest --cov-append --cov={envsitepackagesdir}/incorporealcms/ --cov-branch
[testenv:py39]
[testenv:py310]
# run pytest with coverage
commands =
pytest --cov-append --cov={envsitepackagesdir}/incorporealcms/ --cov-branch

Loading…
Cancel
Save